select * from SaoJose2020..Receber


--migração do título pagos
insert into BancoGerencial..ContaReceber(
CodTipoConta,
NomeTipoConta,
DataMovimento,
DataVencimento,
CodCliente,
Valor, 
Parcela,
TotalParcela,
Observacao,
DataPagamento,
ValorPago,
TipoPagamento,
DataHoraUltimaGravacao,
UsuarioUltimaGravacao,
CodVendaC
)
select 
1,
'VENDA',
rec.DTLANC,
rec.DTVENC,
rec.CODCLI,
rec.VALORTOT,
rec.PARCELAS,
rec.PARCELAS,
'MIGRAÇÃO',
rec.DTPAG,
rec.VALORTOT,
'CRD',
GETDATE(),
'MIGRAÇÃO',
DOCTO
from SaoJose2020..Receber as rec
where rec.DTPAG is not null
and rec.CODCLI > 0
and rec.CANCELADA is null



--retira valor negativo
delete from ContaReceber
where Valor = -0.01;

update ContaReceber set CodEmp = 1

update BancoGerencial..ContaReceber
set NomeCliente = OutraTabela.Nome
from (select Nome, Codigo from BancoGerencial..Cliente) as OutraTabela
where OutraTabela.Codigo = ContaReceber.CodCliente